summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Andreas Voegele <andreas@andreasvoegele.com>2017-06-27 02:58:21 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-06-28 01:56:55 +0700
commit8d9545389f1a5b5b423a64551da935b72c50b00d (patch)
treeb67899c7e2816e712bdb0ac7b536fa71cb16a450 /perl
parent0710706800be2cab7f0120d141399994e6629bf1 (diff)
downloadslackbuilds-8d9545389f1a5b5b423a64551da935b72c50b00d.tar.gz
slackbuilds-8d9545389f1a5b5b423a64551da935b72c50b00d.tar.xz
perl/perl-MusicBrainz-DiscID: Updated for version 0.04.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-MusicBrainz-DiscID/perl-MusicBrainz-DiscID.SlackBuild34
-rw-r--r--perl/perl-MusicBrainz-DiscID/perl-MusicBrainz-DiscID.info8
-rw-r--r--perl/perl-MusicBrainz-DiscID/pod-encoding.patch11
3 files changed, 21 insertions, 32 deletions
diff --git a/perl/perl-MusicBrainz-DiscID/perl-MusicBrainz-DiscID.SlackBuild b/perl/perl-MusicBrainz-DiscID/perl-MusicBrainz-DiscID.SlackBuild
index 10a3dc29c0..93335832b6 100644
--- a/perl/perl-MusicBrainz-DiscID/perl-MusicBrainz-DiscID.SlackBuild
+++ b/perl/perl-MusicBrainz-DiscID/perl-MusicBrainz-DiscID.SlackBuild
@@ -4,7 +4,7 @@
# All rights reserved
# Copyright 2012-15 Glenn Becker <glenn.becker@gmail.com>
-# Copyright 2016 Andreas Voegele <andreas@andreasvoegele.com>
+# Copyright 2016-2017 Andreas Voegele <andreas@andreasvoegele.com>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
@@ -19,15 +19,15 @@
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
PRGNAM=perl-MusicBrainz-DiscID
-VERSION=${VERSION:-0.03}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-0.04}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -38,8 +38,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -58,7 +58,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+tar --warning=no-unknown-keyword -xvf $CWD/$SRCNAM-$VERSION.tar.gz
cd $SRCNAM-$VERSION
chown -R root:root .
find -L . \
@@ -67,16 +67,16 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-perl Build.PL \
- --installdirs vendor \
- --config installvendorman1dir=/usr/man/man1 \
- --config installvendorman3dir=/usr/man/man3
-./Build
+perl Makefile.PL \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
-# The test suite fails if Test::Pod is installed.
-# See https://rt.cpan.org/Public/Bug/Display.html?id=85212.
-#./Build test
-./Build install --destdir $PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
@@ -86,7 +86,7 @@ find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a Changes README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes README.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/perl/perl-MusicBrainz-DiscID/perl-MusicBrainz-DiscID.info b/perl/perl-MusicBrainz-DiscID/perl-MusicBrainz-DiscID.info
index e4b166c924..78ebf9ca95 100644
--- a/perl/perl-MusicBrainz-DiscID/perl-MusicBrainz-DiscID.info
+++ b/perl/perl-MusicBrainz-DiscID/perl-MusicBrainz-DiscID.info
@@ -1,10 +1,10 @@
PRGNAM="perl-MusicBrainz-DiscID"
-VERSION="0.03"
+VERSION="0.04"
HOMEPAGE="https://metacpan.org/pod/MusicBrainz::DiscID"
-DOWNLOAD="http://www.cpan.org/authors/id/N/NJ/NJH/MusicBrainz-DiscID-0.03.tar.gz"
-MD5SUM="4b775f38604f15fd20298d5b443d6900"
+DOWNLOAD="http://www.cpan.org/authors/id/N/NJ/NJH/MusicBrainz-DiscID-0.04.tar.gz"
+MD5SUM="d9fa75c2aba97df9d938df424bb0284f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="perl-Module-Build"
+REQUIRES=""
MAINTAINER="Andreas Voegele"
EMAIL="andreas@andreasvoegele.com"
diff --git a/perl/perl-MusicBrainz-DiscID/pod-encoding.patch b/perl/perl-MusicBrainz-DiscID/pod-encoding.patch
deleted file mode 100644
index d6196cf9a1..0000000000
--- a/perl/perl-MusicBrainz-DiscID/pod-encoding.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/lib/MusicBrainz/DiscID.pm 2013-10-20 22:04:53.340046220 +0200
-+++ b/lib/MusicBrainz/DiscID.pm 2013-10-20 22:06:21.580047858 +0200
-@@ -156,7 +156,7 @@
- Construct a new DiscID object.
-
- As an optional argument the name of the device to read the ID from may
--be given. If you donÔt specify a device here you can later read the ID with
-+be given. If you don't specify a device here you can later read the ID with
- the read method.
-
- =item $discid->error_msg()